# H501_Pattern Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_specific, e_wildcard, e_range }

## Public Member Functions

| H501_Pattern (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_AliasAddress & ()
| operator const H225_AliasAddress & () const
| operator H501_Pattern_range & ()
| operator const H501_Pattern_range & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_Pattern::Choices

Enumerator:

  e_specific |
  e_wildcard |
  e_range |

## Constructor & Destructor Documentation

H501_Pattern::H501_Pattern | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H501_Pattern::operator H225_AliasAddress & | ( |  | ) |

H501_Pattern::operator const H225_AliasAddress & | ( |  | ) | const

H501_Pattern::operator H501_Pattern_range & | ( |  | ) |

H501_Pattern::operator const H501_Pattern_range & | ( |  | ) | const

PBoolean H501_Pattern::CreateObject | ( |  | ) |

PObject* H501_Pattern::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h